Skip to content

Get Clinical Concept Survey

Request

Retrieve a specific survey clinical concept associated with a subject by its ID.

Security
bearer
Path
idstringrequired
Query
subjectIdstringrequired

Subject ID (GUID)

Example:subjectId=123e4567-e89b-12d3-a456-426614174000
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
GET
/api/v1/patient-registry/clinical-concepts/survey/{id}
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/clinical-concepts/survey/{id}?subjectId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstringrequired

Unique identifier for the survey record

documentIdsArray of stringsrequired

List of document IDs associated with the survey

codesArray of strings

Codes from source documents. Type "standard" indicates the code that determined the OMOP concept assignment

surveystring

Survey name or description

surveyDatestring

Date of the survey (ISO string)

surveyResultstring

Result of the survey

Response
{ "id": "string", "documentIds": [ "string" ], "codes": [ "string" ], "survey": "string", "surveyDate": "string", "surveyResult": "string" }